SDL_floor(3)

NAME
SDL_floor - Compute the floor of x.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_floor(double x);

DESCRIPTION
The floor of x is the largest integer y such that y <= x, i.e x rounded down to the nearest integer.

Domain: -INF <= x <= INF

Range: -INF <= y <= INF, y integer

This function operates on double-precision floating point values, use SDL_floorf for single-precision floats.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns the floor of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_floorf(3), SDL_ceil(3), SDL_trunc(3), SDL_round(3), SDL_lround(3)